<?
include '../../config.php';
include '../../func.php';
head();

$config = mysql_fetch_assoc(mysql_query("SELECT * FROM `config`"));

if ( $_GET['mod'] == 'new_edit' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Новость изменена' . div;
    
}

if ( $_GET['mod'] == 'new_add' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Новость добавлена' . div;
    
}

if ( $_GET['mod'] == 'new_add' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при добавлении новости' . div;
    
}

if ( $_GET['mod'] == 'new_edit' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при изменении новости' . div;
    
}

if ( $_GET['mod'] == 'new_delete' AND $_GET['result'] == 'good' ) {
    
    echo link1 . 'Новость успешно удалена' . div;
    
}

if ( $_GET['mod'] == 'new_delete' AND $_GET['result'] == 'error' ) {
    
    echo link1 . 'Ошибка при удалении новости' . div;
    
}


$result = mysql_query("SELECT * FROM news order by id desc");

while($news = mysql_fetch_assoc($result)){

echo link1 . "
Новость: <b>".html($news['name'])."</b> | ".strftime("%d.%m.%y",$news['date'])."" . div;

echo link2.smile(parsebb(adminbb(nl2br($news[msg]))))."<br/>
Разместил: <a href=\"profile.php?id=".html($news['razmestil_id'])."\"><b>".html($news['razmestil'])."</b></a><br/ ><br/ >";

echo '<a href="new_edit.php?id='.$news['id'].'">Править</a> <a href="new_delete.php?id='.$news['id'].'">Удалить</a>' . div;



}

echo link1 . '<a href="new_add.php">Добавить новость</a>' . div;